Subject: bug#7324: coreutils on Solaris 10

From: Eric Blake <[email-masked]>
Date: Wed, 03 Nov 2010 10:51:07 -0600

On 11/03/2010 09:35 AM, Pieter Bowman wrote:
> Recently we put up a new Solaris 10 x86_64 server.  Soon after
> installing this system, I noticed that some of the coreutils programs
> were dumping core.  The ones which I noticed most are:
> 
> 	cp
> 	mv
> 	touch
> 
> This applies to touch 8.6, as well as /opt/sfw/bin/touch 5.97.
> 
> Another department has a fully patched Solaris 10 SPARC system, which
> is now exhibiting the same behavior, so this doesn't seem to be
> limited to x86.
> 
> The problem appears to be happening when trying to set the times on
> the new file.
> 
> I suspect it's an updated patch which Oracle has provided, which has
> broken this.

Thanks for the report.  Have you tried with the latest snapshot?
http://lists.gnu.org/archive/html/coreutils/2010-11/msg00004.html
since it includes some recent gnulib fixes for at least some Solaris 10
bugs?

Also, can you provide a truss report of a failing command, so we can see
exactly how Oracle has broken futimens/utimensat, assuming that you are
correct that it is a bug in setting file times?

-- 
Eric Blake   [email-masked]    +1-801-349-2682
Libvirt virtualization library http://libvirt.org